Skip to main content
`Ctrl`+`K`

# NEPCISSGetThreshold

Gets the values of various threshold parameters in the CISS solver.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPCISSGetThreshold(NEP nep,PetscReal *delta,PetscReal *spur)

Not Collective

## Input Parameter

- nep - the nonlinear eigensolver context

## Output Parameters

- delta - threshold for numerical rank

- spur - spurious threshold (to discard spurious eigenpairs)

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPCISS`, `NEPCISSSetThreshold()`

## Level

advanced

## Location

src/nep/impls/ciss/nciss.c

## Implementations

NEPCISSGetThreshold_CISS() in src/nep/impls/ciss/nciss.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages